.modalArea {
    display: none;
    position: fixed;
    z-index: 10;
    /*サイトによってここの数値は調整 */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.modalBg {
    width: 100%;
    height: 100%;
    background-color: rgba(30, 30, 30, 0.7);
}

.modalWrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    max-height: 500px;
    max-width: 500px;
    padding: 10px 30px;
    background-color: #fff;
}

#top {
    text-align: center;
}

#share {
    justify-content: right;
    margin-right: 10%;
    height: 30px;
}

#viewAnswer {
    font-size: 100%;
}

#timer {
    font-size: 100%;
}

#main {
    border: 0.5px solid #cccccc;
    overflow: scroll;
    scroll-behavior: smooth;
    height: calc(100vh*0.55);
}

#text {
    margin: 5px 5px 0px 0px;
    height: 50px;
    font-size: 30px;
}

#text::placeholder {
    text-align: center;
    font-size: 25px;
}

#judge {
    font-size: 20px;
    width: 100px;
    margin: 0;
}

#footer {
    text-align: right;
    font-size: 15px;
}

#footer p {
    margin: 0;
}

.shareTwitter {
    background: #1d9bf0;
}

.count {
    font-size: 20px;
}

.share {
    display: inline-block;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    user-select: none;
    border: 1px solid transparent;
    padding: .25rem .5rem;
    font-size: .875rem;
    border-radius: .2rem;
    margin: 0 2px;
}

.shareText {
    color: white;
}

.img {
    height: 1.5em;
    vertical-align: middle;
}

.cell {
    height: 50px;
    width: 50px;
}

.timer {
    margin: 2px;
    font-size: 20px;
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.time-container {
    display: flex;
}

select {
    width: 300px;
    font-size: 15px;
    cursor: pointer;
}

input {
    padding: 0;
}

button {
    font-size: 20px;
    margin: 5px 10px 3px 3px;
    width: 120px;
    cursor: pointer;
}

h1 {
    font-size: 30px;
    text-align: center;
    margin: 0;
}

ul {
    clear: left;
}

li {
    width: 12.5%;
    height: 80px;
    float: left;
    list-style: none;
}

a,
a:hover,
a:visited {
    color: rgb(0, 21, 255);
}

@media screen and (max-width:1200px) {
    h1 {
        font-size: 30px;
    }

    li {
        height: 70px;
        width: 16%;
    }
}

@media screen and (max-width: 959px) {
    li {
        height: 70px;
        width: 25%;
    }
}

@media screen and (max-width: 691px) {
    li {
        height: 70px;
        width: 25%;
    }
}

@media screen and (max-width:500px) {
    select {
        width: 90%;
    }

    #text {
        width: 50%;
    }

    li {
        height: 80px;
        width: 50%;
    }
}
